# Uses of Enum Class
org.eclipse.osgi.container.Module.Settings

Packages that use Module.Settings
Package
Description
org.eclipse.osgi.container

## Uses of Module.Settings in org.eclipse.osgi.container

Methods in org.eclipse.osgi.container that return Module.Settings
Modifier and Type
Method
Description
`static Module.Settings`
Module.Settings.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Module.Settings[]`
Module.Settings.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Method parameters in org.eclipse.osgi.container with type arguments of type Module.Settings
Modifier and Type
Method
Description
`abstract Module`
ModuleContainerAdaptor.`createModule(String location, long id, EnumSet<Module.Settings> settings, int startlevel)`
Creates a new module.
Constructor parameters in org.eclipse.osgi.container with type arguments of type Module.Settings
Modifier
Constructor
Description
``
`Module(Long id, String location, ModuleContainer container, EnumSet<Module.Settings> settings, int startlevel)`
Constructs a new module with the specified id, location and container.